.timeline {
  align-items: flex-start;
  display: flex;
  margin-bottom: 64px;
}

.timeline i {
  color: #fff;
  font-size: 24px;
}

.timeline-milestones {
  display: flex;
  flex-direction: column;
  margin-block: 0.5em;
  padding-right: 15px;
  padding-left: 15px;
  position: relative;
  row-gap: 1em;
}

.timeline-milestones::before {
  background: #e5e7eb;
  content: "";
  height: 100%;
  position: absolute;
  top: 0;
  width: 4px;
}

/* There are three colors to alternate between */
.timeline-milestones .field__item:nth-child(3n+0) .timeline__marker {
  background: #c8102e;
}

.timeline-milestones .field__item:nth-child(3n+1) .timeline__marker {
  background: #003087;
}

.timeline-milestones .field__item:nth-child(3n+2) .timeline__marker {
  background: #00a990;
}

.timeline-milestones .field__item:last-child .timeline__marker {
  background: #f3b81a;
}

/* Alternate between colors for title text */
.timeline-milestones .field__item:nth-child(3n+0) .tt-component__title {
  color: #c8102e;
}

.timeline-milestones .field__item:nth-child(3n+1) .tt-component__title {
  color: #003087;
}

.timeline-milestones .field__item:nth-child(3n+2) .tt-component__title {
  color: #00a990;
}

.timeline-milestones .field__item:last-child .timeline__content,
.timeline-milestones .field__item:last-child .tt-component__title,
.timeline-milestones .field__item:last-child .timeline__body h3,
.timeline-milestones .field__item:last-child .timeline__body p,
.timeline-milestones .field__item:last-child .timeline__body a {
  background: #f3b81a;
  color: #000 !important;
}

.timeline__marker {
  align-items: center;
  border-radius: 50%;
  box-sizing: border-box;
  display: flex;
  flex-shrink: 0;
  height: 48px;
  justify-content: center;
  left: -20px;
  position: relative;
  width: 48px;
}

/* Timeline card component */
.timeline .timeline__content {
  background: #f9fafb;
  border-radius: 16px;
  border: 0 solid #e5e7eb;
  padding: 32px;
  width: 100%;
}

.timeline .tt-component__title,
.timeline .tt-component__body h3 {
  margin-bottom: 16px;
}

.timeline .tt-component__title,
.timeline .timeline__body h3,
.timeline .timeline__body p {
  font-weight: 400;
  letter-spacing: -0.5px;
}

.timeline .timeline__body h3 {
  color: #111827;
  font-size: 24px;
  margin-bottom: 20px;
}

.timeline .timeline__body p,
.time-line-read-more {
  color: #4b5563;
  font-size: 16px;
}

.timeline .img {
  display: flex;
  justify-content: flex-start;
}

.timeline .img img {
  border-radius: 16px;
}

@media (min-width: 992px) {
  .timeline__content {
    display: flex;
    gap: 24px;
  }

  .tt-component {
    flex: 0 0 70%;
  }

  .timeline_content .img {
    flex: 0 0 30%;
  }
}
